/* Copyright (C) 2004 Hiroyuki OYAMA

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef STORAGE_H
#define STORAGE_H 1

#include "httpd.h"


typedef struct mtb_trackback_message_rec {
    struct mtb_trackback_message_rec *next; 
    const char *id;
    const char *title;
    const char *excerpt;
    const char *blog_name;
    const char *url;
    time_t  date;
} mtb_trackback_message_rec;


int mtb_store_message(request_rec *r, mtb_trackback_message_rec *msg);
mtb_trackback_message_rec *mtb_load_message(request_rec *r, const char *id);

#endif /* STORAGE_H */
